#!/bin/bash

# Copyright (C) 2018  Tetras Libre <Contact@Tetras-Libre.fr>
# Author: Beniamine, David <David.Beniamine@Tetras-Libre.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

while [ -z "$SRV_NAME" ]
do
	read -p "Merci d'entrer le code RNE de l'école (ex: DSIT or 0382693W)" SRV_NAME
done
DIR=`dirname $0`
# Prepare LDAP config
for f in dist/*
do
    sudo cp -r $f /
done
for f in `find dist/ -type f`
do
    sudo sed -i.orig "s/DSIT/$SRV_NAME/g" ${f/dist/}
done

$DIR/fix_network.sh

# Add proxy for administrateur
for proto in http https ftp
do
    echo "export ${proto}_proxy=slis:3128" >> ~/.profile
    export ${proto}_proxy=slis:3128
done
sudo apt-get -y purge xpdf
sudo apt-get -y install evince

read -p "Configuration faite, appuyez sur n'importe quelle touche pour continuer"
