#!/bin/bash

# Copyright (C) 2018  Tetras Libre <Contact@Tetras-Libre.fr>
# Author: Beniamine, David <David.Beniamine@Tetras-Libre.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

read -p "This script should be run on Primtux to synchronise ldap do you want to continue [y/N]" ans
if [ "$ans" != "y" ]
then
    exit 1
fi
echo "Re creating users"
for user in 01-mini 02-super 03-maxi direction prof
do
    sudo adduser --force-badname $user
done
echo "Disabling LDAP"
sudo sed -ie 's/ ldap//' /etc/nsswitch.conf
echo "Removing Proxy"
for f in /home/*/.profile
do
    sudo sed -ie 's/export .*_PROXY=.*slis:3128.*$//' $f
done
echo "All done, exit and re-open your session to see the changes"
